RoboCupMS

Classes | Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.MatchService Class Reference

## Classes
enum | Message

## Public Member Functions
List< RobotMatch > | getAll ()
List< RobotMatch > | allByYear (int year)
void | create (RobotMatchObj robotMatchObj) throws Exception
void | remove (long id) throws Exception
int | removeAll (long groupID)
void | writeScore (long id, float score) throws Exception
void | rematch (long id) throws Exception

## Detailed Description

Zajistuje spravu zapasu

## Member Function Documentation

## ◆ allByYear()

List<RobotMatch> com.robogames.RoboCupMS.Business.Service.MatchService.allByYear | ( | int | year | ) |
| inline

Navrati vsechny zapasy pro konkretni rocnik

Parameters

  year | Rocnik souteze

Returns
  Seznam vsech zapasu

## ◆ create()

void com.robogames.RoboCupMS.Business.Service.MatchService.create | ( | RobotMatchObj | robotMatchObj | ) | throws Exception
| inline

Naplanuje novy zapas

Parameters

  robotMatchObj | Nové parametry zápasu

## ◆ getAll()

List<RobotMatch> com.robogames.RoboCupMS.Business.Service.MatchService.getAll | ( |  | ) |
| inline

Navrati vsechny zapasy

Returns
  Seznam vsech zapasu

## ◆ rematch()

void com.robogames.RoboCupMS.Business.Service.MatchService.rematch | ( | long | id | ) | throws Exception
| inline

Vyzada opetovne odegrani zapasu. Pokud jde o skupinovy zapas automaticky tento pozadavek vyzada i u ostatnich zapasu.

Parameters

  id | ID zapasu

## ◆ remove()

void com.robogames.RoboCupMS.Business.Service.MatchService.remove | ( | long | id | ) | throws Exception
| inline

Odstrani zapas

Parameters

  id | ID zapasu

## ◆ removeAll()

int com.robogames.RoboCupMS.Business.Service.MatchService.removeAll | ( | long | groupID | ) |
| inline

Odstrani vsechny zapasy, ktere nalezi do urcite skupiny

Parameters

  groudID | ID skupiny, jejiz zapasy maji byt odstraneni

Returns
  Pocet odstranenych zapasu

## ◆ writeScore()

void com.robogames.RoboCupMS.Business.Service.MatchService.writeScore | ( | long | id,
|  | float | score
| ) |  | throws Exception
| inline

Zapise vysledne skore zapasu

Parameters

  id | ID zapasu
  score | Skore zapasu

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/MatchService.java